CreateSetupIntent
POST
/billing/v1/setup-intentRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/billing.v1.CreateSetupIntentRequest",
"$ref-value": {
"type": "object",
"properties": {
"org_id": {
"type": "string",
"examples": [
"OR98234j23"
],
"title": "org_id"
}
},
"title": "CreateSetupIntentRequest",
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/billing.v1.SetupIntentResponse",
"$ref-value": {
"type": "object",
"properties": {
"setup_intent_id": {
"type": "string",
"examples": [
"Tg6Rf4e2W1"
],
"title": "setup_intent_id"
},
"client_secret": {
"type": "string",
"title": "client_secret"
}
},
"title": "SetupIntentResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/billing/v1/setup-intent" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/billing.v1.SetupIntentResponse",
"$ref-value": {
"type": "object",
"properties": {
"setup_intent_id": {
"type": "string",
"examples": [
"Tg6Rf4e2W1"
],
"title": "setup_intent_id"
},
"client_secret": {
"type": "string",
"title": "client_secret"
}
},
"title": "SetupIntentResponse",
"additionalProperties": false
}
}